### Enumeration

# FwupdPlugin SmbiosChassisKind

#### Declaration

    enum FwupdPlugin.SmbiosChassisKind

#### Description

No description available.

#### Members

Name | Description
--- | ---
`FU_SMBIOS_CHASSIS_KIND_UNSET` | Inferred.
`FU_SMBIOS_CHASSIS_KIND_OTHER` | No description available.
`FU_SMBIOS_CHASSIS_KIND_UNKNOWN` | No description available.
`FU_SMBIOS_CHASSIS_KIND_DESKTOP` | No description available.
`FU_SMBIOS_CHASSIS_KIND_LOW_PROFILE_DESKTOP` | No description available.
`FU_SMBIOS_CHASSIS_KIND_PIZZA_BOX` | No description available.
`FU_SMBIOS_CHASSIS_KIND_MINI_TOWER` | No description available.
`FU_SMBIOS_CHASSIS_KIND_TOWER` | No description available.
`FU_SMBIOS_CHASSIS_KIND_PORTABLE` | No description available.
`FU_SMBIOS_CHASSIS_KIND_LAPTOP` | No description available.
`FU_SMBIOS_CHASSIS_KIND_NOTEBOOK` | No description available.
`FU_SMBIOS_CHASSIS_KIND_HAND_HELD` | No description available.
`FU_SMBIOS_CHASSIS_KIND_DOCKING_STATION` | No description available.
`FU_SMBIOS_CHASSIS_KIND_ALL_IN_ONE` | No description available.
`FU_SMBIOS_CHASSIS_KIND_SUB_NOTEBOOK` | No description available.
`FU_SMBIOS_CHASSIS_KIND_SPACE_SAVING` | No description available.
`FU_SMBIOS_CHASSIS_KIND_LUNCH_BOX` | No description available.
`FU_SMBIOS_CHASSIS_KIND_MAIN_SERVER` | No description available.
`FU_SMBIOS_CHASSIS_KIND_EXPANSION` | No description available.
`FU_SMBIOS_CHASSIS_KIND_SUBCHASSIS` | No description available.
`FU_SMBIOS_CHASSIS_KIND_BUS_EXPANSION` | No description available.
`FU_SMBIOS_CHASSIS_KIND_PERIPHERAL` | No description available.
`FU_SMBIOS_CHASSIS_KIND_RAID` | No description available.
`FU_SMBIOS_CHASSIS_KIND_RACK_MOUNT` | No description available.
`FU_SMBIOS_CHASSIS_KIND_SEALED_CASE_PC` | No description available.
`FU_SMBIOS_CHASSIS_KIND_MULTI_SYSTEM` | No description available.
`FU_SMBIOS_CHASSIS_KIND_COMPACT_PCI` | No description available.
`FU_SMBIOS_CHASSIS_KIND_ADVANCED_TCA` | No description available.
`FU_SMBIOS_CHASSIS_KIND_BLADE` | No description available.
`FU_SMBIOS_CHASSIS_KIND_RESERVED` | 0x1D is missing!
`FU_SMBIOS_CHASSIS_KIND_TABLET` | No description available.
`FU_SMBIOS_CHASSIS_KIND_CONVERTIBLE` | No description available.
`FU_SMBIOS_CHASSIS_KIND_DETACHABLE` | No description available.
`FU_SMBIOS_CHASSIS_KIND_IOT_GATEWAY` | No description available.
`FU_SMBIOS_CHASSIS_KIND_EMBEDDED_PC` | No description available.
`FU_SMBIOS_CHASSIS_KIND_MINI_PC` | No description available.
`FU_SMBIOS_CHASSIS_KIND_STICK_PC` | No description available.